## ros-crystal-system-modes-examples 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(system_modes_examples)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_lifecycle REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(Boost 1.58 COMPONENTS program_options REQUIRED)
find_package(system_modes REQUIRED)

# drive_base
add_executable(drive_base src/drive_base.cpp)
target_include_directories(drive_base PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(drive_base
  "rclcpp"
  "rcl_lifecycle"
  "rclcpp_lifecycle"
  "lifecycle_msgs"
  "rosidl_typesupport_cpp"
  "std_msgs"
  "boost_program_options"
  "system_modes"
)
install(TARGETS drive_base
  EXPORT export_${PROJECT_NAME}
  DESTINATION lib/${PROJECT_NAME})

# manipulator
add_executable(manipulator src/manipulator.cpp)
target_include_directories(manipulator PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(manipulator
  "rclcpp"
  "rcl_lifecycle"
  "rclcpp_lifecycle"
  "lifecycle_msgs"
  "rosidl_typesupport_cpp"
  "std_msgs"
  "boost_program_options"
  "system_modes"
)
install(TARGETS manipulator
  EXPORT export_${PROJECT_NAME}
  DESTINATION lib/${PROJECT_NAME})

# mode file
install(FILES example_modes.yaml
  DESTINATION share
)

ament_package()

=== debian/changelog ===
ros-crystal-system-modes-examples (0.1.3-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Arne Nordmann <arne.nordmann@bosch.com>  Mon, 03 Jun 2019 09:23:40 -0000

=== debian/control ===
Source: ros-crystal-system-modes-examples
Section: misc
Priority: extra
Maintainer: Arne Nordmann <arne.nordmann@bosch.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, ros-crystal-ament-cmake, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-system-modes, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-system-modes-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-program-options-dev, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-system-modes, ros-crystal-ros-workspace
Description: Simple example system for system_modes package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-system-modes-examples//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
